Method: accountTypes.accounts.userListGlobalLicenses.userListGlobalLicenseCustomerInfos.list

ユーザーリストのグローバル ライセンスのすべての顧客情報を一覧表示します。

この機能はデータ パートナーのみが利用できます。

HTTP リクエスト

GET https://datamanager.googleapis.com/v1/{parent=accountTypes/*/accounts/*/userListGlobalLicenses/*}/userListGlobalLicenseCustomerInfos

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
parent

string

必須。顧客情報がクエリされているグローバル ライセンス。accountTypes/{ACCOUNT_TYPE}/accounts/{ACCOUNT_ID}/userListGlobalLicenses/{USER_LIST_GLOBAL_LICENSE_ID} 形式で指定する必要があります。アカウントのすべてのグローバル ライセンス顧客情報を一覧表示するには、ユーザーリストのグローバル ライセンス ID を「-」(例: accountTypes/DATA_PARTNER/accounts/123/userListGlobalLicenses/-)に置き換えます。

クエリ パラメータ

パラメータ
filter

string

省略可。リスト リクエストに適用するフィルタ文字列。すべてのフィールドは、各条件の左側に配置する必要があります(例: user_list_id = 123)。フィールドは、すべて camel case またはすべて snake case を使用して指定する必要があります。キャメルケースとスネークケースを組み合わせて使用しないでください。

サポートされているオペレーション:

  • AND
  • =
  • !=
  • >
  • >=
  • <
  • <=

サポートされていないフィールド:

  • name(代わりに get メソッドを使用)
  • historical_pricings とそのすべてのサブフィールド
  • pricing.start_time
  • pricing.end_time
pageSize

integer

省略可。返すライセンスの最大数。サービスが返す値はこれよりも少ないことがあります。指定されていない場合、最大で 50 個のライセンスが返されます。最大値は 1,000 です。1,000 を超える値は 1,000 に強制変換されます。

pageToken

string

省略可。前回の ListUserListDirectLicense 呼び出しから受け取ったページトークン。後続のページを取得するにはこれを指定します。

ページ分割を行う場合、ListUserListDirectLicense に指定する他のすべてのパラメータは、ページトークンを提供した呼び出しと一致する必要があります。

リクエストの本文

リクエストの本文は空にする必要があります。

レスポンスの本文

[ListUserListGlobalLicensesCustomerInfoRequest][google.ads.datamanager.v1.ListUserListGlobalLicensesCustomerInfoRequest] からのレスポンス。

成功した場合、レスポンスの本文には次の構造のデータが含まれます。

JSON 表現
{
  "userListGlobalLicenseCustomerInfos": [
    {
      object (UserListGlobalLicenseCustomerInfo)
    }
  ],
  "nextPageToken": string
}
フィールド
userListGlobalLicenseCustomerInfos[]

object (UserListGlobalLicenseCustomerInfo)

リクエスト内の指定されたライセンスの顧客情報。

nextPageToken

string

次のページを取得するために pageToken として送信できるトークン。このフィールドを省略すると、後続のページはなくなります。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/datamanager

UserListGlobalLicenseCustomerInfo

ユーザーリストのグローバル ライセンスの顧客に関する情報。これは、お客様がグローバル ライセンスを購入すると、システムによって自動的に作成されます。

JSON 表現
{
  "name": string,
  "userListId": string,
  "userListDisplayName": string,
  "licenseType": enum (UserListGlobalLicenseType),
  "status": enum (UserListLicenseStatus),
  "pricing": {
    object (UserListLicensePricing)
  },
  "clientAccountType": enum (UserListLicenseClientAccountType),
  "clientAccountId": string,
  "clientAccountDisplayName": string,
  "historicalPricings": [
    {
      object (UserListLicensePricing)
    }
  ],
  "metrics": {
    object (UserListLicenseMetrics)
  }
}
フィールド
name

string

ID。ユーザーリストのグローバル ライセンス顧客のリソース名。

userListId

string (int64 format)

出力専用。ライセンスが付与されるユーザーリストの ID。

userListDisplayName

string

出力専用。ライセンスが付与されるユーザーリストの名前。

licenseType

enum (UserListGlobalLicenseType)

出力専用。ユーザーリストのライセンスが付与されているクライアント顧客のプロダクト タイプ。

status

enum (UserListLicenseStatus)

出力専用。UserListDirectLicense のステータス(ENABLED または DISABLED)。

pricing

object (UserListLicensePricing)

出力専用。UserListDirectLicense の単価設定。

clientAccountType

enum (UserListLicenseClientAccountType)

出力専用。ユーザーリストのライセンスが付与されているクライアント顧客のプロダクト タイプ。

clientAccountId

string (int64 format)

出力専用。ユーザーリストのライセンスが付与されているクライアント顧客の ID。

clientAccountDisplayName

string

出力専用。ユーザーリストのライセンスが付与されているクライアント顧客の名前。

historicalPricings[]

object (UserListLicensePricing)

出力専用。このユーザーリスト ライセンスの料金履歴。

metrics

object (UserListLicenseMetrics)

出力専用。このライセンスに関連する指標

このフィールドは、userListGlobalLicenseCustomerInfos.list 呼び出しで開始日と終了日が設定されている場合にのみ入力されます。